Download it now!
Bug 90868 - EDITING: Interactive image crop tool can't apply proportional crop
Summary: EDITING: Interactive image crop tool can't apply proportional crop
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-Crop
  Show dependency treegraph
 
Reported: 2015-04-25 19:23 UTC by tmacalp
Modified: 2020-06-03 03:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-04-25 19:23:11 UTC
Description:
The new interactive crop tool in Draw/Impress in 4.4 has no way to perform an proportionally constrained crop.  This is useful if you want to keep your image's aspect ratio while cropping off the sides.  This action would normally be performed by holding down shift while dragging your crop region.

Bug 86329 fixed the preview rectangle overlay that appears while you drag your crop region.  With that bug fixed (merged in master and should hopefully be in 4.4.4), this preview behaves properly and constrains proportions when you hold shift.  Unfortunately, the resulting crop when you release your drag does not behave properly, and ends up wherever you release (not constrained).

Steps to reproduce:
1. New drawing
2. Insert image
3. Right click image and Crop Image
4. Hold shift key and drag a crop region *
5. Note results of attempted constrained crop

* Again note that if testing in versions before bug 86329's fix, the crop drag preview overlay (rectangle while actually dragging) had its behavior reversed, which scaled proportionally by default and holding shift caused it to not constrain.

Expected:
If holding shift while dragging out and releasing crop region, the resulting selection should be constrained.

Actual:
Resulting crop completely ignores the shift key and selects an unconstrained crop region.

Notes:
As far as I know, there is currently NO way perform an accurate constrained crop in Draw/Impress in LO 4.4+.  You completely have to eyeball it.  Before, you could at least use math to figure it out.

I find constrained crop to be VERY handy.  If I have many images on a page, I usually want to keep them all 3:2 or 4:3 or whatever.  This bug really hampers my ability to use LO's built in crop tool.  It will affect me much more if/when this tool is implemented in Writer.
Comment 1 Yousuf Philips (jay) (retired) 2015-04-25 19:42:28 UTC
Confirmed, as mentioned by me in bug 86329 comment 18 answer 4.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 2 QA Administrators 2016-09-20 09:34:09 UTC Comment hidden (obsolete)
Comment 3 tmacalp 2017-06-01 16:14:03 UTC
This still affects 5.3.3.2.
Comment 4 QA Administrators 2018-06-02 03:09:33 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-06-03 03:48:29 UTC
Dear tmacalp,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug